import { html as u } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, s, o, t) => {
  for (var e = t > 1 ? void 0 : t ? m(s, o) : s, r = p.length - 1, l; r >= 0; r--)
    (l = p[r]) && (e = (t ? l(s, o, e) : l(e)) || e);
  return t && e && h(s, o, e), e;
};
let c = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--cloudSuccess", this.class = "c-pieIcon c-pieIcon--cloudSuccess", this.name = "IconCloudSuccess";
  }
  render() {
    return u`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--cloudSuccess"><path d="M12.016 13.189H4.378A3.38 3.38 0 0 1 1 9.81 3.34 3.34 0 0 1 2.969 6.75a5.18 5.18 0 0 1 10.176.682 2.992 2.992 0 0 1-1.129 5.758M8 4.124a3.86 3.86 0 0 0-3.815 3.22l-.061.394-.385.113a2.04 2.04 0 0 0-1.426 1.96 2.065 2.065 0 0 0 2.065 2.065h7.638a1.68 1.68 0 0 0 .359-3.316l-.499-.114V7.93A3.885 3.885 0 0 0 8 4.124m-.289 5.985 2.826-3.054-.962-.875L7.02 8.875 6.189 8l-.989.875 1.129 1.269a.95.95 0 0 0 .691.297.92.92 0 0 0 .691-.332"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], c.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = i([
  f("icon-cloud-success")
], c);
export {
  c as IconCloudSuccess
};
